//------------------------------------------------------------------------------
//  Toggles the led every half second
//
//  blink.ino
//
//  Created by Cooper Baker on 11/08/14.
//  Copyright (c) 2014 Cooper Baker. All rights reserved.
//------------------------------------------------------------------------------

// Include xcode.h for syntax coloring
#include "xcode.h"

//------------------------------------------------------------------------------
// prototypes
//------------------------------------------------------------------------------
void setup();
void loop();


//------------------------------------------------------------------------------
// variables
//------------------------------------------------------------------------------
int led_pin = 13;
int state   = LOW;


//------------------------------------------------------------------------------
// setup - initializes arduino board
//------------------------------------------------------------------------------
void setup()
{
    pinMode( led_pin, OUTPUT );
}


//------------------------------------------------------------------------------
// loop - the main program loop
//------------------------------------------------------------------------------
void loop()
{
    state = !state;
    digitalWrite( led_pin, state );
    delay( 500 );
}


//------------------------------------------------------------------------------
// EOF
//------------------------------------------------------------------------------
